<html>
<head>
<title>Ogre::Grid3DPageStrategyData Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html">Grid3DPageStrategyData</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::Grid3DPageStrategyData Class Reference<div class="ingroups"><a class="el" href="group__Optional.html">Components</a> &#124; <a class="el" href="group__Paging.html">Paging</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::Grid3DPageStrategyData" --><!-- doxytag: inherits="Ogre::PageStrategyData" -->
<p>Specialisation of <a class="el" href="classOgre_1_1PageStrategyData.html" title="Abstract marker class representing the data held against the PagedWorldSection which is specifically ...">PageStrategyData</a> for <a class="el" href="classOgre_1_1Grid3DPageStrategy.html" title="Page strategy which loads new pages based on a regular 3D grid.">Grid3DPageStrategy</a>.  
 <a href="classOgre_1_1Grid3DPageStrategyData.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreGrid3DPageStrategy_8h_source.html">OgreGrid3DPageStrategy.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::Grid3DPageStrategyData:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1Grid3DPageStrategyData__inherit__graph.gif" border="0" usemap="#Ogre_1_1Grid3DPageStrategyData_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1Grid3DPageStrategyData_inherit__map" id="Ogre_1_1Grid3DPageStrategyData_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1PageStrategyData.html" title="Abstract marker class representing the data held against the PagedWorldSection which is specifically ..." alt="" coords="25,83,191,112"/><area shape="rect" id="node4" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="68,5,148,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1Grid3DPageStrategyData-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#adde5ea69431333a43787e1936fd20330">Grid3DPageStrategyData</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#a1ba89ef110d6b0b946745463527f8622">~Grid3DPageStrategyData</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#a6821abf728558c495596bd508cf20228">setOrigin</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;worldOrigin)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the origin of the grid in world space.  <a href="#a6821abf728558c495596bd508cf20228"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#ac1f2ae920c09cc2595a11da65d422b82">getOrigin</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;worldOrigin)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the origin of the grid in world space.  <a href="#ac1f2ae920c09cc2595a11da65d422b82"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#ad800a5757a0dcb6e2257444fc83a6d9a">setCellSize</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;sz)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the size of the cells in the grid.  <a href="#ad800a5757a0dcb6e2257444fc83a6d9a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#a5e4b5781bed0ea7e7f22b04df680b6ae">getCellSize</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the size of the cells in the grid.  <a href="#a5e4b5781bed0ea7e7f22b04df680b6ae"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#a3d5f4e4660b0b578d6b915e6e96cbe1a">setLoadRadius</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> sz)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the loading radius.  <a href="#a3d5f4e4660b0b578d6b915e6e96cbe1a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#aa824c18196855bd439c6817a2ad4eda3">getLoadRadius</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the loading radius.  <a href="#aa824c18196855bd439c6817a2ad4eda3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#a0c97911eb51beea5f407b50c4108fb92">setHoldRadius</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> sz)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the Holding radius.  <a href="#a0c97911eb51beea5f407b50c4108fb92"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#ab9c0c8b0b5a65da067606650efbc217c">getHoldRadius</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the Holding radius.  <a href="#ab9c0c8b0b5a65da067606650efbc217c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#aa2df60347efc29d35a690e71c64531eb">setCellRange</a> (<a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> minX, <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> minY, <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> minZ, <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> maxX, <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> maxY, <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> maxZ)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the index range of all cells (values outside this will be ignored)  <a href="#aa2df60347efc29d35a690e71c64531eb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#ae2d276616b0b5aaadb494539471a7888">setCellRangeMinX</a> (<a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> minX)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the index range of all cells (values outside this will be ignored)  <a href="#ae2d276616b0b5aaadb494539471a7888"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#aea3cc806f6e5740a26f479579e75fdaf">setCellRangeMinY</a> (<a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> minY)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the index range of all cells (values outside this will be ignored)  <a href="#aea3cc806f6e5740a26f479579e75fdaf"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#a0a226ddb10180b387d526701951065d5">setCellRangeMinZ</a> (<a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> minZ)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the index range of all cells (values outside this will be ignored)  <a href="#a0a226ddb10180b387d526701951065d5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#aec607907c425472cc2edaab54c7a0d90">setCellRangeMaxX</a> (<a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> maxX)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the index range of all cells (values outside this will be ignored)  <a href="#aec607907c425472cc2edaab54c7a0d90"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#a03ed092d36316567075ad898eff18ebd">setCellRangeMaxY</a> (<a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> maxY)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the index range of all cells (values outside this will be ignored)  <a href="#a03ed092d36316567075ad898eff18ebd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#aac71d6b7af65a9ef1d31fed54c264268">setCellRangeMaxZ</a> (<a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> maxZ)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">get the index range of all cells (values outside this will be ignored)  <a href="#aac71d6b7af65a9ef1d31fed54c264268"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#ac96257e802a810e09e7a1a2fe5c0c783">getCellRangeMinX</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">get the index range of all cells (values outside this will be ignored)  <a href="#ac96257e802a810e09e7a1a2fe5c0c783"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#a670bfb61fd9f6bd0b3da9255281ea8fe">getCellRangeMinY</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">get the index range of all cells (values outside this will be ignored)  <a href="#a670bfb61fd9f6bd0b3da9255281ea8fe"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#acd2c7b311df7432c62ec722e0bcc3e48">getCellRangeMinZ</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">get the index range of all cells (values outside this will be ignored)  <a href="#acd2c7b311df7432c62ec722e0bcc3e48"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#a9352d1e0267715ad448a6e1e315ec1e0">getCellRangeMaxX</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">get the index range of all cells (values outside this will be ignored)  <a href="#a9352d1e0267715ad448a6e1e315ec1e0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#a6189193df0c060477fe43fd0b0bf6464">getCellRangeMaxY</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">get the index range of all cells (values outside this will be ignored)  <a href="#a6189193df0c060477fe43fd0b0bf6464"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#a893cdaf8ba2e00ba02e516aecd1ffac6">getCellRangeMaxZ</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">get the index range of all cells (values outside this will be ignored)  <a href="#a893cdaf8ba2e00ba02e516aecd1ffac6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#ab5159dd7922b777ed101992b5319b20b">load</a> (<a class="el" href="classOgre_1_1StreamSerialiser.html">StreamSerialiser</a> &amp;stream)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Load this data from a stream (returns true if successful)  <a href="#ab5159dd7922b777ed101992b5319b20b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#aedcf87a66b42befb2aba22b6d42fee58">save</a> (<a class="el" href="classOgre_1_1StreamSerialiser.html">StreamSerialiser</a> &amp;stream)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Save this data to a stream.  <a href="#aedcf87a66b42befb2aba22b6d42fee58"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#a2762e5a38c2a8f887236920efb6dc840">getMidPointGridSpace</a> (<a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> x, <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> y, <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> z, <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;mid)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#acea5d8841152d6a18090adb007fd3c81">getBottomLeftGridSpace</a> (<a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> x, <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> y, int z, <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;bl)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the (grid space) bottom-left of a cell.  <a href="#acea5d8841152d6a18090adb007fd3c81"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#aa6782c37cbafeb7757762018c942140e">getCornersGridSpace</a> (<a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> x, <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> y, <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> z, <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> *pEightPoints)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the (grid space) corners of a cell.  <a href="#aa6782c37cbafeb7757762018c942140e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#abb6b2b57c3c42596d13206727bb66d97">determineGridLocation</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;gridpos, <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> *x, <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> *y, <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> *z)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert a grid position into a row and column index.  <a href="#abb6b2b57c3c42596d13206727bb66d97"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#a5126a9c9fbccbfe4c78070263098acb2">PageID</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#ac21b697c32b1613e581dae45e35ea460">calculatePageID</a> (<a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> x, <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> y, <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> z)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#a0a51b33ebdb559ee9b4a09db58a4e43a">calculateCell</a> (<a class="el" href="namespaceOgre.html#a5126a9c9fbccbfe4c78070263098acb2">PageID</a> inPageID, <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> *x, <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> *y, <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> *z)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#ad44736dbc7ae064bc6169873fa00a903">CHUNK_ID</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#abcac31196d612eef54c443aae78897e7">CHUNK_VERSION</a></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#a796e5dd4ce7a8d8cc9ad49d430fc3d93">mWorldOrigin</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Origin (world space)  <a href="#a796e5dd4ce7a8d8cc9ad49d430fc3d93"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#a468c8c8e875cab1290b47969d6051a66">mOrigin</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Origin (grid-aligned world space)  <a href="#a468c8c8e875cab1290b47969d6051a66"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#aa75d9becbb8f196ccecc0cc7caa4bb81">mCellSize</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Grid cell (page) size.  <a href="#aa75d9becbb8f196ccecc0cc7caa4bb81"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#af216446cf2649a1f974410412ebb41ef">mLoadRadius</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Load radius.  <a href="#af216446cf2649a1f974410412ebb41ef"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#adc27747d0015eb9a5ccb2d0a548a9442">mHoldRadius</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Hold radius.  <a href="#adc27747d0015eb9a5ccb2d0a548a9442"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#aaa63c47bfbfd03b313d407a41f37fd97">mMinCellX</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#af3d9e45f8ce321e30fb704251768d651">mMinCellY</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#ae5330523b13aaa6fd42032e26137498a">mMinCellZ</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#af29809317c6c61eb78d903cb1e842cef">mMaxCellX</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#a604249a613ddead7a4284a4fdf407368">mMaxCellY</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#ae2c7ebab95b739d21efbad2d57949fb0">mMaxCellZ</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Specialisation of <a class="el" href="classOgre_1_1PageStrategyData.html" title="Abstract marker class representing the data held against the PagedWorldSection which is specifically ...">PageStrategyData</a> for <a class="el" href="classOgre_1_1Grid3DPageStrategy.html" title="Page strategy which loads new pages based on a regular 3D grid.">Grid3DPageStrategy</a>. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Structurally this data defines with a 3D grid of pages, with the logical origin in the center of the entire grid. The grid cells are indexed from 0 as a 'centre' slot, supporting both positive and negative values. so (0,0,0) is the centre cell, (1,0,0) is the cell to the right of the centre, (0,0,1) is the cell in front of the centre, (0,1,0) the cell above the center, etc. The maximum extent of each axis is -512 to +511, so in other words enough for over 2 billion different entries. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>To limit the page load requests that are generated to a fixed region, you can set the min and max cell indexes (inclusive)for each direction; if a page request would address a cell outside this range it is ignored so you don't have the expense of checking for page data that will never exist. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>The data format for this in a file is:<br/>
 <b><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html" title="Specialisation of PageStrategyData for Grid3DPageStrategy.">Grid3DPageStrategyData</a> (Identifier 'G3DD')</b><br/>
 [Version 1] <table class="doxtable">
<tr>
<td><b>Name</b> </td><td><b>Type</b> </td><td><b>Description</b>  </td></tr>
<tr>
<td>Grid origin </td><td><a class="el" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a> </td><td>World origin of the grid.  </td></tr>
<tr>
<td>Grid cell size </td><td><a class="el" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a> </td><td>The size of each cell (page) in the grid  </td></tr>
<tr>
<td>Grid cell range (minx, maxx, miny, maxy, minz, maxz) </td><td>int16 * 6 </td><td>The extents of the world in cell indexes  </td></tr>
<tr>
<td>Load radius </td><td>Real </td><td>The outer radius at which new pages should start loading  </td></tr>
<tr>
<td>Hold radius </td><td>Real </td><td>The radius at which existing pages should be held if already loaded but not actively loaded (should be larger than Load radius)  </td></tr>
</table>
</dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html" title="Specialisation of PageStrategyData for Grid2DPageStrategy.">Grid2DPageStrategyData</a> </dd></dl>

<p>Definition at line <a class="el" href="OgreGrid3DPageStrategy_8h_source.html#l00104">104</a> of file <a class="el" href="OgreGrid3DPageStrategy_8h_source.html">OgreGrid3DPageStrategy.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="adde5ea69431333a43787e1936fd20330"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::Grid3DPageStrategyData" ref="adde5ea69431333a43787e1936fd20330" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#adde5ea69431333a43787e1936fd20330">Ogre::Grid3DPageStrategyData::Grid3DPageStrategyData</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a1ba89ef110d6b0b946745463527f8622"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::~Grid3DPageStrategyData" ref="a1ba89ef110d6b0b946745463527f8622" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#a1ba89ef110d6b0b946745463527f8622">Ogre::Grid3DPageStrategyData::~Grid3DPageStrategyData</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a0a51b33ebdb559ee9b4a09db58a4e43a"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::calculateCell" ref="a0a51b33ebdb559ee9b4a09db58a4e43a" args="(PageID inPageID, int32 *x, int32 *y, int32 *z)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#a0a51b33ebdb559ee9b4a09db58a4e43a">Ogre::Grid3DPageStrategyData::calculateCell</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a5126a9c9fbccbfe4c78070263098acb2">PageID</a>&#160;</td>
          <td class="paramname"><em>inPageID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> *&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> *&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> *&#160;</td>
          <td class="paramname"><em>z</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ac21b697c32b1613e581dae45e35ea460"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::calculatePageID" ref="ac21b697c32b1613e581dae45e35ea460" args="(int32 x, int32 y, int32 z)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a5126a9c9fbccbfe4c78070263098acb2">PageID</a> <a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#ac21b697c32b1613e581dae45e35ea460">Ogre::Grid3DPageStrategyData::calculatePageID</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td>
          <td class="paramname"><em>z</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="abb6b2b57c3c42596d13206727bb66d97"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::determineGridLocation" ref="abb6b2b57c3c42596d13206727bb66d97" args="(const Vector3 &amp;gridpos, int32 *x, int32 *y, int32 *z)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#abb6b2b57c3c42596d13206727bb66d97">Ogre::Grid3DPageStrategyData::determineGridLocation</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>gridpos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> *&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> *&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> *&#160;</td>
          <td class="paramname"><em>z</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Convert a grid position into a row and column index. </p>

</div>
</div>
<a class="anchor" id="acea5d8841152d6a18090adb007fd3c81"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::getBottomLeftGridSpace" ref="acea5d8841152d6a18090adb007fd3c81" args="(int32 x, int32 y, int z, Vector3 &amp;bl)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#acea5d8841152d6a18090adb007fd3c81">Ogre::Grid3DPageStrategyData::getBottomLeftGridSpace</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>z</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>bl</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the (grid space) bottom-left of a cell. </p>

</div>
</div>
<a class="anchor" id="a9352d1e0267715ad448a6e1e315ec1e0"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::getCellRangeMaxX" ref="a9352d1e0267715ad448a6e1e315ec1e0" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> <a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#a9352d1e0267715ad448a6e1e315ec1e0">Ogre::Grid3DPageStrategyData::getCellRangeMaxX</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>get the index range of all cells (values outside this will be ignored) </p>

<p>Definition at line <a class="el" href="OgreGrid3DPageStrategy_8h_source.html#l00169">169</a> of file <a class="el" href="OgreGrid3DPageStrategy_8h_source.html">OgreGrid3DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6189193df0c060477fe43fd0b0bf6464"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::getCellRangeMaxY" ref="a6189193df0c060477fe43fd0b0bf6464" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> <a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#a6189193df0c060477fe43fd0b0bf6464">Ogre::Grid3DPageStrategyData::getCellRangeMaxY</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>get the index range of all cells (values outside this will be ignored) </p>

<p>Definition at line <a class="el" href="OgreGrid3DPageStrategy_8h_source.html#l00171">171</a> of file <a class="el" href="OgreGrid3DPageStrategy_8h_source.html">OgreGrid3DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="a893cdaf8ba2e00ba02e516aecd1ffac6"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::getCellRangeMaxZ" ref="a893cdaf8ba2e00ba02e516aecd1ffac6" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> <a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#a893cdaf8ba2e00ba02e516aecd1ffac6">Ogre::Grid3DPageStrategyData::getCellRangeMaxZ</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>get the index range of all cells (values outside this will be ignored) </p>

<p>Definition at line <a class="el" href="OgreGrid3DPageStrategy_8h_source.html#l00173">173</a> of file <a class="el" href="OgreGrid3DPageStrategy_8h_source.html">OgreGrid3DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac96257e802a810e09e7a1a2fe5c0c783"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::getCellRangeMinX" ref="ac96257e802a810e09e7a1a2fe5c0c783" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> <a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#ac96257e802a810e09e7a1a2fe5c0c783">Ogre::Grid3DPageStrategyData::getCellRangeMinX</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>get the index range of all cells (values outside this will be ignored) </p>

<p>Definition at line <a class="el" href="OgreGrid3DPageStrategy_8h_source.html#l00163">163</a> of file <a class="el" href="OgreGrid3DPageStrategy_8h_source.html">OgreGrid3DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="a670bfb61fd9f6bd0b3da9255281ea8fe"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::getCellRangeMinY" ref="a670bfb61fd9f6bd0b3da9255281ea8fe" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> <a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#a670bfb61fd9f6bd0b3da9255281ea8fe">Ogre::Grid3DPageStrategyData::getCellRangeMinY</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>get the index range of all cells (values outside this will be ignored) </p>

<p>Definition at line <a class="el" href="OgreGrid3DPageStrategy_8h_source.html#l00165">165</a> of file <a class="el" href="OgreGrid3DPageStrategy_8h_source.html">OgreGrid3DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="acd2c7b311df7432c62ec722e0bcc3e48"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::getCellRangeMinZ" ref="acd2c7b311df7432c62ec722e0bcc3e48" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> <a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#acd2c7b311df7432c62ec722e0bcc3e48">Ogre::Grid3DPageStrategyData::getCellRangeMinZ</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>get the index range of all cells (values outside this will be ignored) </p>

<p>Definition at line <a class="el" href="OgreGrid3DPageStrategy_8h_source.html#l00167">167</a> of file <a class="el" href="OgreGrid3DPageStrategy_8h_source.html">OgreGrid3DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5e4b5781bed0ea7e7f22b04df680b6ae"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::getCellSize" ref="a5e4b5781bed0ea7e7f22b04df680b6ae" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#a5e4b5781bed0ea7e7f22b04df680b6ae">Ogre::Grid3DPageStrategyData::getCellSize</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the size of the cells in the grid. </p>

<p>Definition at line <a class="el" href="OgreGrid3DPageStrategy_8h_source.html#l00138">138</a> of file <a class="el" href="OgreGrid3DPageStrategy_8h_source.html">OgreGrid3DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa6782c37cbafeb7757762018c942140e"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::getCornersGridSpace" ref="aa6782c37cbafeb7757762018c942140e" args="(int32 x, int32 y, int32 z, Vector3 *pEightPoints)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#aa6782c37cbafeb7757762018c942140e">Ogre::Grid3DPageStrategyData::getCornersGridSpace</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td>
          <td class="paramname"><em>z</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> *&#160;</td>
          <td class="paramname"><em>pEightPoints</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the (grid space) corners of a cell. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Populates pEightPoints in anticlockwise order from the bottom left point. </dd></dl>

</div>
</div>
<a class="anchor" id="ab9c0c8b0b5a65da067606650efbc217c"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::getHoldRadius" ref="ab9c0c8b0b5a65da067606650efbc217c" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#ab9c0c8b0b5a65da067606650efbc217c">Ogre::Grid3DPageStrategyData::getHoldRadius</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the Holding radius. </p>

<p>Definition at line <a class="el" href="OgreGrid3DPageStrategy_8h_source.html#l00146">146</a> of file <a class="el" href="OgreGrid3DPageStrategy_8h_source.html">OgreGrid3DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa824c18196855bd439c6817a2ad4eda3"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::getLoadRadius" ref="aa824c18196855bd439c6817a2ad4eda3" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#aa824c18196855bd439c6817a2ad4eda3">Ogre::Grid3DPageStrategyData::getLoadRadius</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the loading radius. </p>

<p>Definition at line <a class="el" href="OgreGrid3DPageStrategy_8h_source.html#l00142">142</a> of file <a class="el" href="OgreGrid3DPageStrategy_8h_source.html">OgreGrid3DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2762e5a38c2a8f887236920efb6dc840"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::getMidPointGridSpace" ref="a2762e5a38c2a8f887236920efb6dc840" args="(int32 x, int32 y, int32 z, Vector3 &amp;mid)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#a2762e5a38c2a8f887236920efb6dc840">Ogre::Grid3DPageStrategyData::getMidPointGridSpace</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td>
          <td class="paramname"><em>z</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>mid</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ac1f2ae920c09cc2595a11da65d422b82"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::getOrigin" ref="ac1f2ae920c09cc2595a11da65d422b82" args="(const Vector3 &amp;worldOrigin)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&amp; <a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#ac1f2ae920c09cc2595a11da65d422b82">Ogre::Grid3DPageStrategyData::getOrigin</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>worldOrigin</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the origin of the grid in world space. </p>

<p>Definition at line <a class="el" href="OgreGrid3DPageStrategy_8h_source.html#l00134">134</a> of file <a class="el" href="OgreGrid3DPageStrategy_8h_source.html">OgreGrid3DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab5159dd7922b777ed101992b5319b20b"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::load" ref="ab5159dd7922b777ed101992b5319b20b" args="(StreamSerialiser &amp;stream)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#ab5159dd7922b777ed101992b5319b20b">Ogre::Grid3DPageStrategyData::load</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1StreamSerialiser.html">StreamSerialiser</a> &amp;&#160;</td>
          <td class="paramname"><em>stream</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Load this data from a stream (returns true if successful) </p>

<p>Implements <a class="el" href="classOgre_1_1PageStrategyData.html#aab80a3280ea2b5526ecb2a8652716533">Ogre::PageStrategyData</a>.</p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="aedcf87a66b42befb2aba22b6d42fee58"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::save" ref="aedcf87a66b42befb2aba22b6d42fee58" args="(StreamSerialiser &amp;stream)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#aedcf87a66b42befb2aba22b6d42fee58">Ogre::Grid3DPageStrategyData::save</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1StreamSerialiser.html">StreamSerialiser</a> &amp;&#160;</td>
          <td class="paramname"><em>stream</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Save this data to a stream. </p>

<p>Implements <a class="el" href="classOgre_1_1PageStrategyData.html#ae7b43543191e014b5df371be2626b164">Ogre::PageStrategyData</a>.</p>

</div>
</div>
<a class="anchor" id="aa2df60347efc29d35a690e71c64531eb"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::setCellRange" ref="aa2df60347efc29d35a690e71c64531eb" args="(int32 minX, int32 minY, int32 minZ, int32 maxX, int32 maxY, int32 maxZ)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#aa2df60347efc29d35a690e71c64531eb">Ogre::Grid3DPageStrategyData::setCellRange</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td>
          <td class="paramname"><em>minX</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td>
          <td class="paramname"><em>minY</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td>
          <td class="paramname"><em>minZ</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td>
          <td class="paramname"><em>maxX</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td>
          <td class="paramname"><em>maxY</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td>
          <td class="paramname"><em>maxZ</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the index range of all cells (values outside this will be ignored) </p>

</div>
</div>
<a class="anchor" id="aec607907c425472cc2edaab54c7a0d90"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::setCellRangeMaxX" ref="aec607907c425472cc2edaab54c7a0d90" args="(int32 maxX)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#aec607907c425472cc2edaab54c7a0d90">Ogre::Grid3DPageStrategyData::setCellRangeMaxX</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td>
          <td class="paramname"><em>maxX</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the index range of all cells (values outside this will be ignored) </p>

</div>
</div>
<a class="anchor" id="a03ed092d36316567075ad898eff18ebd"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::setCellRangeMaxY" ref="a03ed092d36316567075ad898eff18ebd" args="(int32 maxY)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#a03ed092d36316567075ad898eff18ebd">Ogre::Grid3DPageStrategyData::setCellRangeMaxY</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td>
          <td class="paramname"><em>maxY</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the index range of all cells (values outside this will be ignored) </p>

</div>
</div>
<a class="anchor" id="aac71d6b7af65a9ef1d31fed54c264268"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::setCellRangeMaxZ" ref="aac71d6b7af65a9ef1d31fed54c264268" args="(int32 maxZ)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#aac71d6b7af65a9ef1d31fed54c264268">Ogre::Grid3DPageStrategyData::setCellRangeMaxZ</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td>
          <td class="paramname"><em>maxZ</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>get the index range of all cells (values outside this will be ignored) </p>

</div>
</div>
<a class="anchor" id="ae2d276616b0b5aaadb494539471a7888"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::setCellRangeMinX" ref="ae2d276616b0b5aaadb494539471a7888" args="(int32 minX)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#ae2d276616b0b5aaadb494539471a7888">Ogre::Grid3DPageStrategyData::setCellRangeMinX</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td>
          <td class="paramname"><em>minX</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the index range of all cells (values outside this will be ignored) </p>

</div>
</div>
<a class="anchor" id="aea3cc806f6e5740a26f479579e75fdaf"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::setCellRangeMinY" ref="aea3cc806f6e5740a26f479579e75fdaf" args="(int32 minY)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#aea3cc806f6e5740a26f479579e75fdaf">Ogre::Grid3DPageStrategyData::setCellRangeMinY</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td>
          <td class="paramname"><em>minY</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the index range of all cells (values outside this will be ignored) </p>

</div>
</div>
<a class="anchor" id="a0a226ddb10180b387d526701951065d5"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::setCellRangeMinZ" ref="a0a226ddb10180b387d526701951065d5" args="(int32 minZ)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#a0a226ddb10180b387d526701951065d5">Ogre::Grid3DPageStrategyData::setCellRangeMinZ</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td>
          <td class="paramname"><em>minZ</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the index range of all cells (values outside this will be ignored) </p>

</div>
</div>
<a class="anchor" id="ad800a5757a0dcb6e2257444fc83a6d9a"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::setCellSize" ref="ad800a5757a0dcb6e2257444fc83a6d9a" args="(const Vector3 &amp;sz)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#ad800a5757a0dcb6e2257444fc83a6d9a">Ogre::Grid3DPageStrategyData::setCellSize</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the size of the cells in the grid. </p>

</div>
</div>
<a class="anchor" id="a0c97911eb51beea5f407b50c4108fb92"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::setHoldRadius" ref="a0c97911eb51beea5f407b50c4108fb92" args="(Real sz)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#a0c97911eb51beea5f407b50c4108fb92">Ogre::Grid3DPageStrategyData::setHoldRadius</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the Holding radius. </p>

</div>
</div>
<a class="anchor" id="a3d5f4e4660b0b578d6b915e6e96cbe1a"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::setLoadRadius" ref="a3d5f4e4660b0b578d6b915e6e96cbe1a" args="(Real sz)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#a3d5f4e4660b0b578d6b915e6e96cbe1a">Ogre::Grid3DPageStrategyData::setLoadRadius</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the loading radius. </p>

</div>
</div>
<a class="anchor" id="a6821abf728558c495596bd508cf20228"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::setOrigin" ref="a6821abf728558c495596bd508cf20228" args="(const Vector3 &amp;worldOrigin)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#a6821abf728558c495596bd508cf20228">Ogre::Grid3DPageStrategyData::setOrigin</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>worldOrigin</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the origin of the grid in world space. </p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ad44736dbc7ae064bc6169873fa00a903"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::CHUNK_ID" ref="ad44736dbc7ae064bc6169873fa00a903" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#ad44736dbc7ae064bc6169873fa00a903">Ogre::Grid3DPageStrategyData::CHUNK_ID</a><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGrid3DPageStrategy_8h_source.html#l00125">125</a> of file <a class="el" href="OgreGrid3DPageStrategy_8h_source.html">OgreGrid3DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="abcac31196d612eef54c443aae78897e7"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::CHUNK_VERSION" ref="abcac31196d612eef54c443aae78897e7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#abcac31196d612eef54c443aae78897e7">Ogre::Grid3DPageStrategyData::CHUNK_VERSION</a><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGrid3DPageStrategy_8h_source.html#l00126">126</a> of file <a class="el" href="OgreGrid3DPageStrategy_8h_source.html">OgreGrid3DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa75d9becbb8f196ccecc0cc7caa4bb81"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::mCellSize" ref="aa75d9becbb8f196ccecc0cc7caa4bb81" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#aa75d9becbb8f196ccecc0cc7caa4bb81">Ogre::Grid3DPageStrategyData::mCellSize</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Grid cell (page) size. </p>

<p>Definition at line <a class="el" href="OgreGrid3DPageStrategy_8h_source.html#l00112">112</a> of file <a class="el" href="OgreGrid3DPageStrategy_8h_source.html">OgreGrid3DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="adc27747d0015eb9a5ccb2d0a548a9442"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::mHoldRadius" ref="adc27747d0015eb9a5ccb2d0a548a9442" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#adc27747d0015eb9a5ccb2d0a548a9442">Ogre::Grid3DPageStrategyData::mHoldRadius</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Hold radius. </p>

<p>Definition at line <a class="el" href="OgreGrid3DPageStrategy_8h_source.html#l00116">116</a> of file <a class="el" href="OgreGrid3DPageStrategy_8h_source.html">OgreGrid3DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="af216446cf2649a1f974410412ebb41ef"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::mLoadRadius" ref="af216446cf2649a1f974410412ebb41ef" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#af216446cf2649a1f974410412ebb41ef">Ogre::Grid3DPageStrategyData::mLoadRadius</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Load radius. </p>

<p>Definition at line <a class="el" href="OgreGrid3DPageStrategy_8h_source.html#l00114">114</a> of file <a class="el" href="OgreGrid3DPageStrategy_8h_source.html">OgreGrid3DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="af29809317c6c61eb78d903cb1e842cef"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::mMaxCellX" ref="af29809317c6c61eb78d903cb1e842cef" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> <a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#af29809317c6c61eb78d903cb1e842cef">Ogre::Grid3DPageStrategyData::mMaxCellX</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGrid3DPageStrategy_8h_source.html#l00120">120</a> of file <a class="el" href="OgreGrid3DPageStrategy_8h_source.html">OgreGrid3DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="a604249a613ddead7a4284a4fdf407368"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::mMaxCellY" ref="a604249a613ddead7a4284a4fdf407368" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> <a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#a604249a613ddead7a4284a4fdf407368">Ogre::Grid3DPageStrategyData::mMaxCellY</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGrid3DPageStrategy_8h_source.html#l00121">121</a> of file <a class="el" href="OgreGrid3DPageStrategy_8h_source.html">OgreGrid3DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae2c7ebab95b739d21efbad2d57949fb0"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::mMaxCellZ" ref="ae2c7ebab95b739d21efbad2d57949fb0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> <a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#ae2c7ebab95b739d21efbad2d57949fb0">Ogre::Grid3DPageStrategyData::mMaxCellZ</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGrid3DPageStrategy_8h_source.html#l00122">122</a> of file <a class="el" href="OgreGrid3DPageStrategy_8h_source.html">OgreGrid3DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="aaa63c47bfbfd03b313d407a41f37fd97"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::mMinCellX" ref="aaa63c47bfbfd03b313d407a41f37fd97" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> <a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#aaa63c47bfbfd03b313d407a41f37fd97">Ogre::Grid3DPageStrategyData::mMinCellX</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGrid3DPageStrategy_8h_source.html#l00117">117</a> of file <a class="el" href="OgreGrid3DPageStrategy_8h_source.html">OgreGrid3DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="af3d9e45f8ce321e30fb704251768d651"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::mMinCellY" ref="af3d9e45f8ce321e30fb704251768d651" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> <a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#af3d9e45f8ce321e30fb704251768d651">Ogre::Grid3DPageStrategyData::mMinCellY</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGrid3DPageStrategy_8h_source.html#l00118">118</a> of file <a class="el" href="OgreGrid3DPageStrategy_8h_source.html">OgreGrid3DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae5330523b13aaa6fd42032e26137498a"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::mMinCellZ" ref="ae5330523b13aaa6fd42032e26137498a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> <a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#ae5330523b13aaa6fd42032e26137498a">Ogre::Grid3DPageStrategyData::mMinCellZ</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGrid3DPageStrategy_8h_source.html#l00119">119</a> of file <a class="el" href="OgreGrid3DPageStrategy_8h_source.html">OgreGrid3DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="a468c8c8e875cab1290b47969d6051a66"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::mOrigin" ref="a468c8c8e875cab1290b47969d6051a66" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#a468c8c8e875cab1290b47969d6051a66">Ogre::Grid3DPageStrategyData::mOrigin</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Origin (grid-aligned world space) </p>

<p>Definition at line <a class="el" href="OgreGrid3DPageStrategy_8h_source.html#l00110">110</a> of file <a class="el" href="OgreGrid3DPageStrategy_8h_source.html">OgreGrid3DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="a796e5dd4ce7a8d8cc9ad49d430fc3d93"></a><!-- doxytag: member="Ogre::Grid3DPageStrategyData::mWorldOrigin" ref="a796e5dd4ce7a8d8cc9ad49d430fc3d93" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="classOgre_1_1Grid3DPageStrategyData.html#a796e5dd4ce7a8d8cc9ad49d430fc3d93">Ogre::Grid3DPageStrategyData::mWorldOrigin</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Origin (world space) </p>

<p>Definition at line <a class="el" href="OgreGrid3DPageStrategy_8h_source.html#l00108">108</a> of file <a class="el" href="OgreGrid3DPageStrategy_8h_source.html">OgreGrid3DPageStrategy.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreGrid3DPageStrategy_8h_source.html">OgreGrid3DPageStrategy.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:10
</p>
</body>
</html>
